/* Copyright (c) 2001, 2003, 2004, 2006, 2007 by Arkkra Enterprises */
/* All rights reserved */

#ifndef _SSVUSED_H
#define _SSVUSED_H

/*
 * This file contains the array subscript definitions for the used[] array
 * of an SSV struct. An SSV contains parameters associated with a
 * Score, Staff, or Voice.  The used[] array is a set of flags which say
 * whether a given parameter is actually populated in the SSV instance.
 * In the "score" SSV, all used flags are always set true.  In SSVs for
 * a staff or voice, a "used" flag is only set to true if the user
 * specified a value for the parameter in that staff or voice context.
 *
 * The actual values are machine-generated so they get automatically
 * renumbered if parameters are added or deleted or rearranged.
 *
 * We try to put things that are logically similar close together in
 * this list, but they could be in any order, other than that NUMFLDS
 * _must_ be last.
 */

#define	SCALE_FACTOR		(0)
#define	UNITS			(1)
#define	PAGEHEIGHT		(2)
#define	PAGEWIDTH		(3)
#define	PANELSPERPAGE		(4)
#define	MAXSCORES		(5)
#define	TOPMARGIN		(6)
#define	BOTMARGIN		(7)
#define	LEFTMARGIN		(8)
#define	RIGHTMARGIN		(9)
#define	RESTCOMBINE		(10)
#define	FIRSTPAGE		(11)
#define	NUMSTAFF		(12)
#define	MINSCSEP		(13)
#define	MAXSCSEP		(14)
#define	MINSCPAD		(15)
#define	MAXSCPAD		(16)
#define	BRACELIST		(17)
#define	BRACKLIST		(18)
#define	BARSTLIST		(19)
#define	TIME			(20)
#define	DIVISION		(21)
#define	ENDINGSTYLE		(22)
#define	GRIDSATEND		(23)
#define	MEASNUM			(24)
#define	MEASNUMFAMILY		(25)
#define	MEASNUMFONT		(26)
#define	MEASNUMSIZE		(27)
#define	MEASNUMSTYLE		(28)
#define	PACKFACT		(29)
#define	PACKEXP			(30)
#define	WARN			(31)
#define	STAFFSCALE		(32)
#define	VISIBLE			(33)
#define	STAFFLINES		(34)
#define	GRIDSWHEREUSED		(35)
#define	GRIDSCALE		(36)
#define	GRIDFRET		(37)
#define	NUMBERMRPT		(38)
#define	PRINTMULTNUM		(39)
#define	RESTSYMMULT		(40)
#define	VSCHEME			(41)
#define	VCOMBINE		(42)
#define	SHARPS			(43)
#define	CANCELKEY		(44)
#define	TRANSPOSITION		(45)
#define	ADDTRANSPOSITION	(46)
#define	USEACCS			(47)
#define	CARRYACCS		(48)
#define	CLEF			(49)
#define	REHSTYLE		(50)
#define	FONTFAMILY		(51)
#define	FONT			(52)
#define	SIZE			(53)
#define	REHFAMILY		(54)
#define	REHFONT			(55)
#define	REHSIZE			(56)
#define	LYRICSFAMILY		(57)
#define	LYRICSFONT		(58)
#define	LYRICSSIZE		(59)
#define	LYRICSALIGN		(60)
#define	SYLPOSITION		(61)
#define	MINSTSEP		(62)
#define	STAFFPAD		(63)
#define	ABOVEORDER		(64)
#define	BELOWORDER		(65)
#define	BETWEENORDER		(66)
#define	PEDSTYLE		(67)
#define	CHORDDIST		(68)
#define	DIST			(69)
#define	DYNDIST			(70)
#define	LYRICSDIST		(71)
#define	LABEL			(72)
#define	LABEL2			(73)
#define	BEAMSTLIST		(74)
#define	BEAMSLOPE		(75)
#define	PAD			(76)
#define	STEMLEN			(77)
#define	BEAMSHORT		(78)
#define	MAXPROSHORT		(79)
#define	BEGPROSHORT		(80)
#define	ENDPROSHORT		(81)
#define	DEFOCT			(82)
#define	TIMEUNIT		(83)
#define	SWINGUNIT		(84)
#define	WITHFAMILY		(85)
#define	WITHFONT		(86)
#define	WITHSIZE		(87)
#define	RELEASE			(88)
#define	ONTHELINE		(89)
#define	TABWHITEBOX		(90)
#define	NOTEHEADS		(91)
#define	EMPTYMEAS		(92)
#define	NUMFLDS			(93)

#endif
